Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038459
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2018-04-26 18:192018-05-09 19:30
ReporterngarciaView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision79807592bb83
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038459: Total Stock Valuation should be rounded to 2 in Product - Costing tab as it is the sum of the cost of the transactions

DescriptionTotal Stock Valuation should be rounded to 2 in Product - Costing tab as it is the sum of the cost of the transactions
Steps To ReproduceAs group admin role:
   Create a new product
   Create a Physical Inventory
   Add 1 unit of the previously created product
   Set a cost of 0.6515
   Process it
   Schedule the Costing Background Process to be run immediately
   Check the cost of the transaction is 0.65
   Check the Total Stock Valuation is 0.6515

   The case happens with different warehouse documents that modify average cost
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0104316)
collazoandy4 (developer)
2018-05-08 02:37

Test Plan
  Create a new Product and a sales price list
  Create a new Physical Inventory, add 1 unit of the previously created product and set a cost of 0.6515
  Schedule the Costing Background Process to be run immediately
   Check the cost of the transaction is 0.65
   Check the Total Stock Valuation is 0.65
(0104347)
hgbot (developer)
2018-05-09 12:38

Repository: erp/devel/pi
Changeset: 79807592bb8318143cb5a787b5126737a9be697b
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri May 04 10:13:22 2018 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/79807592bb8318143cb5a787b5126737a9be697b [^]

Fixes issue 38459:Total Stock Valuation should be rounded to 2 in Costing tab
as it is the sum of the cost of the transactions

The Total Stock Valuation is now rounded to currency cost precision

---
M src/org/openbravo/costing/AverageAlgorithm.java
---
(0104348)
hgbot (developer)
2018-05-09 12:39

Repository: erp/devel/pi
Changeset: 94997b80fc7097774f636cbd663b70f90ad7ec1e
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed May 09 12:25:30 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/94997b80fc7097774f636cbd663b70f90ad7ec1e [^]

Related to issue 38459: Update copyright

---
M src/org/openbravo/costing/AverageAlgorithm.java
---
(0104351)
aferraz (developer)
2018-05-09 12:40

Code review + Testing OK
(0104354)
hgbot (developer)
2018-05-09 13:30

Repository: erp/devel/pi
Changeset: a8dc1bea4612a885ee842d4fdcaab0a2b367fa41
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Wed May 09 13:30:44 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/a8dc1bea4612a885ee842d4fdcaab0a2b367fa41 [^]

Related to issue 38459: Use currency standard precision instead of costing precision

---
M src/org/openbravo/costing/AverageAlgorithm.java
---
(0104437)
hudsonbot (developer)
2018-05-09 19:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104438)
hudsonbot (developer)
2018-05-09 19:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104439)
hudsonbot (developer)
2018-05-09 19:30

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-26 18:19 ngarcia New Issue
2018-04-26 18:19 ngarcia Assigned To => Triage Finance
2018-04-26 18:19 ngarcia Modules => Core
2018-04-26 18:19 ngarcia Triggers an Emergency Pack => No
2018-05-03 11:11 ngarcia Issue Monitored: networkb
2018-05-03 18:27 dmiguelez Assigned To Triage Finance => collazoandy4
2018-05-03 23:16 collazoandy4 Status new => scheduled
2018-05-08 02:37 collazoandy4 Note Added: 0104316
2018-05-09 12:38 hgbot Checkin
2018-05-09 12:38 hgbot Note Added: 0104347
2018-05-09 12:38 hgbot Status scheduled => resolved
2018-05-09 12:38 hgbot Resolution open => fixed
2018-05-09 12:38 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/79807592bb8318143cb5a787b5126737a9be697b [^]
2018-05-09 12:39 hgbot Checkin
2018-05-09 12:39 hgbot Note Added: 0104348
2018-05-09 12:40 aferraz Review Assigned To => aferraz
2018-05-09 12:40 aferraz Note Added: 0104351
2018-05-09 12:40 aferraz Status resolved => closed
2018-05-09 12:40 aferraz Fixed in Version => 3.0PR18Q3
2018-05-09 13:30 hgbot Checkin
2018-05-09 13:30 hgbot Note Added: 0104354
2018-05-09 19:30 hudsonbot Checkin
2018-05-09 19:30 hudsonbot Note Added: 0104437
2018-05-09 19:30 hudsonbot Checkin
2018-05-09 19:30 hudsonbot Note Added: 0104438
2018-05-09 19:30 hudsonbot Checkin
2018-05-09 19:30 hudsonbot Note Added: 0104439


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker